# jitsi-quick

## pre-requisites:
* have a public ip
* point a dns entry to your public ip
* change said dns entry in the variables file in the line "jitsi_http_domain"
* a basic knowledge of docker and ansible will get a long way with this accrocchio



    apt install git ansible

or

    yum install -y epel-release && yum install git ansible


and

    git clone https://git.lattuga.net/panda/jitsi-quick

    cd jitsi-quick

    ansible-playbook ansible-jitsi.yml
    
    
## rollback:
if your deploy has been succesfull but you want to go back to a (docker) clean state:

    cd ..
    cd docker-jitsi-meet/
    docker-compose down
    cd ..
    rm -rf docker-jitsi-meet .jitsi-meet-cfg
    cd jitsi-quick
    
## beware of:
this deploy is quick and dirty, so you won't have a very talkative playbook,
for example if you deploy with the default domain "test.domain.net" the deploy will fail without notice,
to be more aware of what's happening you can look at the logs:

    cd ..
    cd docker-jitsi-meet/
    docker-compose logs --follow

    
## tested on:
* debian 11 (extensively)
* centos 7 (sorta, done changes after that so.. beware)
* amazon linux 2 (sorta, done changes after that so.. beware)

## not tested on:
* animals